Mailinglist Archive: opensuse-buildservice (170 mails)

< Previous Next >
Re: [opensuse-buildservice] How to build KMP's against latest 10.3 update kernel?
  • From: Susanne Oberhauser <froh@xxxxxxxxxx>
  • Date: 12 Dec 2007 18:36:35 +0100
  • Message-id: <s2iy7bz7r30.fsf@xxxxxxxxxxxxx>
Marcus Meissner <meissner@xxxxxxx> writes:

I agree. We need to figure out how to support driver package
maintainers well inside the build service. This is especially true
for SLE, where service packs also make things complicated.

Are there any elegant solutions to this problem?

I do not see why you would want to build drivers against the older
kernels (of the same distribution) with security problems.

Because if depending on the security issue (e.g. local root exploit)
you may prefer a somehow 'approved' kernel, e.g. approved for some
weird special application, over the latest and most secure kernel.

Also you want to provide the driver for the GA kernel (so you can
install the machine) and for the current security kernel (so you can
then update to that one).

I think it's a valid request.


S.

--
Susanne Oberhauser +49-911-74053-574 SUSE -- a Novell Business
OPS Engineering Maxfeldstraße 5
Processes and Infrastructure Nürnberg
SUSE LINUX Products GmbH, GF: Markus Rex, HRB 16746 (AG Nürnberg)
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >